FAQ
I have python 2.6 on OS X 10.5.8:

$ python --version
Python 2.6.2

$ which python
/Library/Frameworks/Python.framework/Versions/2.6/bin/python

When installing an egg, python 2.5 shows up:

"""
$ sudo easy_install ipython-0.10-py2.6.egg
Password:
Processing ipython-0.10-py2.6.egg
removing '/Library/Python/2.5/site-packages/ipython-0.10-
py2.6.egg' (and everything under it)
creating /Library/Python/2.5/site-packages/ipython-0.10-py2.6.egg
Extracting ipython-0.10-py2.6.egg to /Library/Python/2.5/site-packages
"""

But 2.6 is not here:

$ ls /Library/Python
2.3/ 2.5/

Launching ipython happens with Python 2.5.1 though. Is there something
I did incorrectly when installing python 2.6?

Stephen

Search Discussions

  • Diez B. Roggisch at Nov 8, 2009 at 5:12 pm

    stephen_b schrieb:
    I have python 2.6 on OS X 10.5.8:

    $ python --version
    Python 2.6.2

    $ which python
    /Library/Frameworks/Python.framework/Versions/2.6/bin/python

    When installing an egg, python 2.5 shows up:

    """
    $ sudo easy_install ipython-0.10-py2.6.egg
    Password:
    Processing ipython-0.10-py2.6.egg
    removing '/Library/Python/2.5/site-packages/ipython-0.10-
    py2.6.egg' (and everything under it)
    creating /Library/Python/2.5/site-packages/ipython-0.10-py2.6.egg
    Extracting ipython-0.10-py2.6.egg to /Library/Python/2.5/site-packages
    """

    But 2.6 is not here:

    $ ls /Library/Python
    2.3/ 2.5/

    Launching ipython happens with Python 2.5.1 though. Is there something
    I did incorrectly when installing python 2.6?
    You use the wrong easy_install - use easy_install-2.6.

    Diez
  • Benjamin Kaplan at Nov 8, 2009 at 6:12 pm

    On Sun, Nov 8, 2009 at 11:57 AM, stephen_b wrote:
    I have ?python 2.6 on OS X 10.5.8:

    $ python --version
    Python 2.6.2

    $ which python
    /Library/Frameworks/Python.framework/Versions/2.6/bin/python

    When installing an egg, python 2.5 shows up:

    """
    $ sudo easy_install ipython-0.10-py2.6.egg
    Password:
    Processing ipython-0.10-py2.6.egg
    removing '/Library/Python/2.5/site-packages/ipython-0.10-
    py2.6.egg' (and everything under it)
    creating /Library/Python/2.5/site-packages/ipython-0.10-py2.6.egg
    Extracting ipython-0.10-py2.6.egg to /Library/Python/2.5/site-packages
    """

    But 2.6 is not here:

    $ ls /Library/Python
    2.3/ 2.5/

    Launching ipython happens with Python 2.5.1 though. Is there something
    I did incorrectly when installing python 2.6?
    easy_install is not a part of Python- you have to download and install
    setuptools yourself. You never installed setuptools for python2.6 so
    the 2.5 version is still the default.

    http://pypi.python.org/pypi/setuptools
  • Stephen_b at Nov 9, 2009 at 3:18 am
    Thanks all. That did it.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppython-list @
categoriespython
postedNov 8, '09 at 4:57p
activeNov 9, '09 at 3:18a
posts4
users3
websitepython.org

People

Translate

site design / logo © 2021 Grokbase